C                                           2
C   Program to solve quadratic equation:  ax  + bx + c
C
C234567***************************************************************
C Declarations
      real  a, b, c, x1, x2, underradical
C Input
      print *, 'Type in a b and c separated by blanks, then hit RETURN'
      read  *, a, b, c
C Tests
      if ( a .EQ. 0) then
         print *, 'a is 0, this is a line'
         go to 200
      endif
      underradical = ( b**2 ) - ( 4 * a * c)
      if ( underradical .LT. 0 ) then
         print *, 'Cannot take square root, number is negative'
         go to 200
      endif
C Compute
      x1 = ( -(b) - (sqrt(underradical)) )  /  ( 2 * a )
      x2 = ( -(b) + (sqrt(underradical)) )  /  ( 2 * a )
C Print
      print *, 'The two roots are:', x1, x2
C Leave
200   print *, 'Exiting.  Bye.'
      end
